Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.portlet
Class PortletPreferencesUserConfigurationDataStore

    java.lang.Object
      com.ibm.portal.struts.portlet.PortletPreferencesUserConfigurationDataStore

All Implemented Interfaces:
  IUserConfigurationDataStore

    public class PortletPreferencesUserConfigurationDataStore

extends java.lang.Object
implements IUserConfigurationDataStore

PortletPreferencesUserConfigurationDataStore is a IUserConfigurationDataStore implementation for use within WebSphere Portal.

Since:
  5.1

Field Summary
`protected static Log` | `log` Commons Logging instance for this class.
`static java.lang.String` | `SerializableObject` String prefixed to the String value of the serializable object stored in PortletPreferences.

Fields inherited from interface com.ibm.struts.data.IUserConfigurationDataStore
`KEY`

Constructor Summary
`PortletPreferencesUserConfigurationDataStore()` PortletPreferencesUserConfigurationDataStore constructor

Method Summary
`java.util.Map` | `get(HttpServletRequest request)` Get the UserConfigurationData from the data store.
`void` | `put(HttpServletRequest request, java.util.Map data)` Store the given user configuration data in the data store.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Log log

  Commons Logging instance for this class.

### SerializableObject

    public static final java.lang.String SerializableObject

  String prefixed to the String value of the serializable object stored in PortletPreferences.

  See Also:
    Constant Field Values

Constructor Detail

### PortletPreferencesUserConfigurationDataStore

    public PortletPreferencesUserConfigurationDataStore()

  PortletPreferencesUserConfigurationDataStore constructor

Method Detail

### put

    public void put(HttpServletRequest request,
                    java.util.Map data)
             throws java.io.IOException

  Store the given user configuration data in the data store. This implementation uses PortletPreferences. The map will be iterated and the map keys will be set as portlet preferences.

  Specified by:
    `put` in interface `IUserConfigurationDataStore`
  Parameters:
    `request` - used as context object
    `data` - the data Map
  Throws:
    `java.io.IOException` - if data can not be saved

### get

    public java.util.Map get(HttpServletRequest request)
                      throws java.io.IOException

  Get the UserConfigurationData from the data store. All of the portlet preferences that have been set are returned in the map as name-value pairs. Changes to the map do not affect the portlet preferences.

  Specified by:
    `get` in interface `IUserConfigurationDataStore`
  Parameters:
    `request` - Used as context object
  Returns:
    returns The stored data map
  Throws:
    `java.io.IOException` - If data can not be retrieved

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD